org.apache.ignite.internal.processors.cache.persistence

## Class CacheStripedExecutor

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.CacheStripedExecutor

    public class CacheStripedExecutor
    extends Object

Wrapper over `StripedExecutor`, that groups submitted tasks by cache group and partition.

### Constructor Summary

Constructors
Constructor and Description
`CacheStripedExecutor(StripedExecutor exec)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `awaitApplyComplete()` Awaits while all submitted tasks completed.
`boolean` `error()`
`StripedExecutor` `executor()`
`void` `onError(IgniteCheckedException e)`
`void` `submit(Runnable task, int grpId, int partId)` Submit task to striped executor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CacheStripedExecutor

    public CacheStripedExecutor(StripedExecutor exec)

### Method Detail

#### submit

    public void submit(Runnable task,
                       int grpId,
                       int partId)

Submit task to striped executor.

Parameters:
  `task` - Runnable task.
  `grpId` - Group ID.
  `partId` - Partition ID.

#### awaitApplyComplete

    public void awaitApplyComplete()
                            throws IgniteCheckedException

Awaits while all submitted tasks completed.

Throws:
  `IgniteCheckedException` - if any os submitted tasks failed.

#### error

    public boolean error()

Returns:
  `true` if any of submitted tasks failed.

#### onError

    public void onError(IgniteCheckedException e)

Parameters:
  `e` - Error appeared during submitted task execution.

#### executor

    public StripedExecutor executor()

Returns:
  Underlying striped executor.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023